Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.event
Class InvalidationEventHubImpl

    java.lang.Object
      org.apache.tapestry5.internal.event.InvalidationEventHubImpl

All Implemented Interfaces:
  InvalidationEventHub

Direct Known Subclasses:
  ComponentTemplateSourceImpl, InternalComponentInvalidationEventHubImpl, MessagesSourceImpl, ResourceChangeTrackerImpl

    public class InvalidationEventHubImpl

extends java.lang.Object
implements InvalidationEventHub

Base implementation class for classes (especially services) that need to manage a list of `InvalidationListener`s.

Constructor Summary
`protected` | `InvalidationEventHubImpl(boolean productionMode)`

Method Summary
`void` | `addInvalidationListener(InvalidationListener listener)` Adds a listener, who needs to know when an underlying resource of a given category has changed (so that the receiver may discard any cached data that may have been invalidated).
`protected void` | `fireInvalidationEvent()` Notifies all `listener`s.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidationEventHubImpl

    protected InvalidationEventHubImpl(boolean productionMode)

Method Detail

### fireInvalidationEvent

    protected final void fireInvalidationEvent()

  Notifies all `listener`s.

### addInvalidationListener

    public final void addInvalidationListener(InvalidationListener listener)

  Description copied from interface: `InvalidationEventHub`
  Adds a listener, who needs to know when an underlying resource of a given category has changed (so that the receiver may discard any cached data that may have been invalidated). Does nothing in production mode.

  Specified by:
    `addInvalidationListener` in interface `InvalidationEventHub`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.